import AppbarProvider from "@/providers/AppbarProvider";
import { getDefaultHeader } from "@/services/apis/header";
import Link from "next/link";
import MenuButton from "../common/appbars/MenuButton";
import AppDrawer from "../common/appbars/AppDrawer";
import WebHeaderButton from "../common/buttons/WebHeaderButton";
const MainHeader = async () => {
  const header = await getDefaultHeader();

  if (!header || !header.active) return null;
  return (
    <AppbarProvider>
      <AppDrawer lists={header.contents} />
      <div className="w-full flex justify-between ">
        <MenuButton />
        <div className="w-full h-full hidden lg:flex items-center justify-between ">
          <div className="h-full flex justify-center gap-2">
            {header.contents?.map((item, index) => (
              <WebHeaderButton item={item} key={index} />
            ))}
            <Link href={"/contact-us"}>تماس با ما</Link>
            <Link href={"/about-us"}>درباره ما</Link>
          </div>
          <div className="h-full flex items-center gap-2">
            {/* <CartButton />
            <LoginOrRegister /> */}
          </div>
        </div>
        <div className="hidden lg:flex"></div>
        <div>for login user and other</div>
      </div>
    </AppbarProvider>
  );
};

export default MainHeader;
